%define name	ogle_gui
%define version	0.9.2
%define release	%mkrel 2

Summary:	A GTK interface for the Ogle DVD player
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Video
URL:		http://www.dtek.chalmers.se/groups/dvd/
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
# Fix mkinstalldir for po, it tried to find ../.. instead ../mkinstalldir
Patch0:		ogle_gui.mkinstalldir.path.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	autoconf2.5
BuildRequires:	gettext-devel
BuildRequires:	libdvdcontrol-devel = %{version}
Buildrequires:  libmsgevents-devel = %{version}
BuildRequires:	libglade-devel
BuildRequires:	libxml2-devel >= 2.4.19
BuildRequires:  ogle
Obsoletes:	libogle_gui

%description
This is a GTK interface for the ogle DVD player. Install this if you want
a more graphical gui than the one that comes by default with ogle.

%prep
rm -rf %buildroot
%setup -q
%patch0 -p0 -b .mkinstalldir
cat src/Makefile.am | sed 's#$(datadir)/ogle/#$(sysconfdir)/#g' > src/Makefile.am.patched
mv -f src/Makefile.am.patched src/Makefile.am

%build
aclocal
WANT_AUTOCONF_2_5=1 autoconf
automake
%configure
%make

%install
%makeinstall

# Menu entry
mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%name): needs="x11" \
                 section="Multimedia/Video" \
		 title="Ogle" \
		 longtitle="Ogle DVD Player" \
		 command="%{_bindir}/ogle" \
		 icon="ogle.png"
EOF

install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT/%{_miconsdir}/ogle.png
install -D -m 644 %SOURCE2 $RPM_BUILD_ROOT/%{_iconsdir}/ogle.png
install -D -m 644 %SOURCE3 $RPM_BUILD_ROOT/%{_liconsdir}/ogle.png

%find_lang %name

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_libdir}/ogle/%{name}
%{_datadir}/%{name}
%{_menudir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Sun Mar 27 2005 Olivier Thauvin <nanardon@mandrake.org> 0.9.2-2mdk
- back to contrib
- %%mkrel

* Wed Nov 12 2003 Michael Reinsch <mr@uue.org> 0.9.2-1plf
- new release

* Sat Jun 07 2003 Michael Reinsch <mr@uue.org> 0.9.1-3plf
- small fix

* Sat Jun 07 2003 Michael Reinsch <mr@uue.org> 0.9.1-2plf
- spec cleanup

* Sun Jun 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-1plf
- From Torstein Dybdahl <torsted@runbox.no>
    - 0.9.1
    - %%mklibname
- cleanup

* Sat Oct 05 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.5-1plf
- 0.8.5
- s/libogle1/libogle/ on requires and Buildrequires

* Mon Jul 15 2002 Buchan Milne <bgmilne@cae.co.za> 0.8.4-1plf
- 0.8.4

* Thu Jun 13 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.3-1plf
- 0.8.3
- remove patch0

* Sat Apr 27 2002 Stefan van der Eijk <stefan@eijk.nu> 0.8.2-4plf
- BuildRequires

* Tue Apr 09 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-3plf
	- move icons as source
	- remove requires imagemagik

* Sat Mar 30 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-2plf
	- Fix location oglerc file in %{sysconfdir}
	
* Fri Mar 29 2002 Olivier Thauvin <olivier.thauvin@aerov.jussieu.fr> 0.8.2-1plf
	Build package submit by Michael Reinsch <mr@uue.org>	
		- first plf package
